### Signal

# Ide Page::create-split

#### Declaration

    IdePage*
    create_split (
      IdePage* self,
      gpointer user_data
    )

#### Description

This signal is emitted when the view is requested to make a split version of itself. This happens when the user requests that a second version of the file to be displayed, often side-by-side.

This signal will only be emitted when `IdePage:can-split` is set to `TRUE`. The default is `FALSE`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Return value

Returns: | `IdePage`
| A newly created `IdePage`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.